This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 443010

Summary: Incorrect LSB return values from killproc
Product: [Fedora] Fedora Reporter: Ville Skyttä <ville.skytta>
Component: initscriptsAssignee: Bill Nottingham <notting>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 13CC: atkac, rvokal
Target Milestone: ---Keywords: Patch
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-03-06 16:31:10 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235705    
Attachments:
Description Flags
Fix killproc return value in LSB mode when service not running none

Description Ville Skyttä 2008-04-18 02:33:44 EDT
http://refspecs.freestandards.org/LSB_3.1.0/LSB-Core-generic/LSB-Core-generic/iniscrptact.html

| In addition to straightforward success, the following situations are also to
| be considered successful:
| [...]
| - running stop on a service already stopped or not running

killproc does not take this into account, but changes its return value to 7 in
LSB mode when the service is not running.  Fix attached.
Comment 1 Ville Skyttä 2008-04-18 02:33:44 EDT
Created attachment 302842 [details]
Fix killproc return value in LSB mode when service not running
Comment 2 Bill Nottingham 2008-04-18 11:25:10 EDT
Moving to target, this is not a regression.
Comment 3 Bug Zapper 2008-05-14 05:36:59 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Adam Tkac 2008-09-02 11:18:49 EDT
(In reply to comment #1)
> Created an attachment (id=302842) [details]
> Fix killproc return value in LSB mode when service not running
> 

I think killproc should also print "success" and not "failure" when it returns zero code.
Comment 5 Bill Nottingham 2009-03-11 13:47:34 EDT
I can't reproduce this now on rawhide. Can you?
Comment 6 Adam Tkac 2009-03-12 11:15:15 EDT
Well, killproc returns zero but it still prints "FAILED". As I wrote in comment #4 I think it should print "OK"
Comment 7 Bug Zapper 2009-06-09 20:14:32 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-04-27 08:00:14 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Ville Skyttä 2011-03-06 16:31:10 EST
I checked on F-14 and cannot reproduce the supposedly incorrect LSB killproc return values.  In fact I may have missed the conditions when killproc must not return 0 even when the program is not running and current initscripts seems to be doing the right thing wrt. those:

http://refspecs.freestandards.org/LSB_3.1.1/LSB-Core-generic/LSB-Core-generic/iniscrptfunc.html

Whether to echo OK/FAILED (comment 6) is out of scope for this bug report as success() and failure() do not echo any of those in any case in LSB mode, so I'm closing this as NOTABUG.